v0.400
-first public release



v0.527
-added (semi hidden) New Game Plus
--character levels, job levels, items, magic and abilities carry over
--cap of total job levels increases from 30 to 70
--enemy stats increase

-added field effects in style of Chrono Cross
--at battle start set to 5 elements based on background
--field elements change based on element icon in the message box of a used spell or command
--for weapon based commands an element of equipped weapons is used or water for unarmed
--all spells that are not affected by any element are given a element solely for the field effect
--field elements increase damage, heal power and status effect chance of matching element, or lower of the element they oppose
--effect from field elements on damage of the ability !summon is greater than usual (up to x2.5 instead of x1.5 at max)

-heal spells now have elements for the purpose of field and relic boost
-distribution of being targetted changed by enemy from 25/25/25/25 to 32/28/22/18
-Stomp makes the user more likely to be targetted
-changed logic of locking single/normal job mod to prevent abuse
-in single job mode, max level of jobs is increased from 5 to 15
-lv6+ jobs don't teach new abilities but instead gain double stat increases
-changed exp gain logic: escaped monster grant 50% exp, multi-killed monster (e.g. revived) grant exp multiple times
-changed defend MP gain from 100 to 10%maxMP+90
-while defending/guarding you can now survive lethal attacks with 1 HP if you have at least 1/8 of your max HP left
-changed remaining boss rare drops to common (100% chance)
-changed monster formation minimum size for random formations from 3 to 25% of maximum
-added missing element icons to monster, mix, animal and terrain spells
-added logic for non-turn-free abilities to also have an element
-replaced icons for ice and void element
-Catch: no longer auto fails for monster with health > 25% (50% with item), chance increases with HP loss
-Release: monster stats increase in New Game Plus
-Terrain: spells count as earth for "50% magic boost" check (e.g. rods, gaia gear)
-Terrain: added a chance to cast location-independant spells "Gaia's Wrath" and "Gaia's Lament" instead; chance increases with Geomancer level
-Terrain/Gaia's Wrath: deals high non-elemental damage to all enemies
-Terrain/Gaia's Lament: inflicts random status ailments on all enemies
-added functionality to Mastery passive skill: great increase to overall accuracy, 70% chance to keep !Released monster
-added new unique katana: Odenta
-added elemental affinity to status screen: weaknesses and aggregated resistances
-swords, lances and katanas now use (STR+VIT)/2 instead of STR; axes are only pure STR weapon now
-modified M formula to lean more towards stats than levels with bonus for dual-stat attacks (85~93 dual [at lv1~99] is about as strong as 99 pure)
-added diminishing returns for 30+ AGL in regards to ATB speed
-Poison: changed tick interval from VIT+20 to (VIT+319)/4-agl/2 for player or (VIT+511)/8-agl/2 for monster
-poison: overworld tick damage decreased from 1/64 to 1/256
-poison: getting poison state inflicted by terrain now also deals 1/32 damage
-fixed bug that made rods apply their element twice
-fixed an incompatibility bug with real hardware and accurate emulators
-switched a few jobs around between characters
-increased theoretical maximum of jobs from 21+freelancer to 31+freelancer
-added experimental hack that speeds up spell animations for 5+ targets
-reduced cutscene delay from 15 to 12



v0.575
-added abilities for Tinker job
-finished job palettes for new jobs
-fixed berserk, confuse action behaviour
-fixed exp options not working as intended
-fixed bug that made X-Fight and TwinCut randomly crash the game
-fixed bug that made certain escaping enemies not really escape (also applies to SolCannon self-destruct)
-fixed interaction with X-magic and Time/Echo spell
-altered MP calculation to (2xSTR + 1xMAG + base + JobBonus) * (MAG+64) / 64
-MP soft caps at 200 and 300, hard cap at 400 before %MP abilities which cap at 500
-adjusted HP/MP curve of player characters
-decreased general HP growth of enemies by about 15%
-decreased specific HP% of Sandworm
-increased general enemy damage output
-increased effect of difficulty on enemy damage output
-increased abp gain from exp/128 to exp/32
-increase power of heal vs undead by 50%
-modifed delay for actions; 0 tick delays are now possible (most abilities), non-0 delays are now modifed by AGL (Slash, Jump, BuildUp,...)
-added 2hand-only flag to Anti-Magic bow
-increased accuracy of Rod from 70 to 80
-now shows the job's main ability in the abiltiy selection instead of just "ability"
-singing gets ended when max buffs are reached
-Blue/Vampire: now works like a 80 power non-elemental drain spell
-nerfed X-Magic/Shift to quartering missing delay instead of setting to 0, Time/Shift is unchanged set to 0
-nerfed demi vs heavy to 1/4 instead of 1/2 the usual power
-demi and psych now respect the power penalty for being used via x-magic
-SteadyMP only works up to 99 MP (it is steady MP, not steady TURNS!!)
-changed ribbon to void type
-changed martial/aid to void type



v0.611
-added info dumps to Beginner's House
-replaced evade% in equip/status with magic attack power
-added max job levels to status menu
-added experimental faster dash: hold Y instead of B to run even faster
-pierce now also makes attacks ignore up to 20 (magic) defense after other reductions like elemental weakness
-weakness hits against targets with excessive defense bypass some defense
-poison ticks against heavy targets get more infrequent over time, refreshed by applying poison again
-renamed MagicAmp to MightAmp
-MightAmp now also boosts non-elemental magic by 33% and weapon attack by 25%
-nerfed spellblade additional element factor from 2 to 1.25
-changed spellblade to actually add its element to the weapon's base element instead of only roling a second element check
-increased spellblade/tempr from flat +20 to +50% attack bonus
-added +20 flat attack to spellblade/flare
-increased double grip bonus for weapon attack from +25% to +33%
-increased double grip bonus for magic attack from +12% to +17%
-weapons now also have a weight
-weight recalculation is now also active during battle
-fixed in-battle calculation for evade reading wrong values
-fixed text for newly learned abilities
-fixed miscalculated status durations, e.g. underflowing paralyzation against bosses for infinite stun
-fixed certain in battle events not firing if the boss is stunned
-fixed several issues with the sandworm boss fight like too high HP, not having weaknesses, not giving exp, ...
-fixed !mix resulting in garbage spells
-"fixed" exploit with old status that reset old-penalty on equip change to 0; base stats now drop by 1 for player characters each tick
-decreased SolCanon HP, changed type from Holy+Wasser to Holy+Ice
-decreased Launcher (SolCanon add) HP, changed type from earth to water
-enemy resistances become strong resistances on difficulty 1-3 or absorb in New Game Plus
-Galuf lost access to BlackMage, instead gains Arcanist
-Faris lost access to TimeMage, instead gains Mimic
-MP gain from Ethers and Elixirs via !X-Item is now reduced to 33%
-shields can now not only remove their element from weaknesses but also upgrade the resistance to greater resistance



v0.637
-added abilities for Assassin job
-winning a (non-repeatable!) boss encounter on difficulty1 now awards a "Shard"
-having shards in your inventory increases gained exp by ~3%
-enemies have a 12% chance (33% for heavy enemies) to forcibly end hide status
-fraction-type damage spells are now subject to difficulty (unchanged on 4, less on 1-3, more on 5-6)
-fraction-type damage spells are now halved by shell status and by Opal Bracelet
-added a monster damage modifier by difficulty: 150% - 1, ..., 100% - 4, 75% - 6
-constant damage attacks deal double damage in new game plus
-replaced Dispel/Anti-Magic Bow with Hunter Bow: 17 atk
-added Hunter Bow and Amber jewel (lightning element relic) to tule shop
-reduced price for amber from 380 to 135
-reduced magic bonus for amber from 3 to 2
-reduced HP and damage of WingRaptor
-renamed Blue/Vampire to Blue/Leech
-Jump: reduced 2x damage bonus to 1.5x but now applies to all physical weapons
-Jump: fists, lances, katanas get +25% attack
-critical hits are no longer exclusive to katanas, fists and bows; instead all attacks that deal physical damage can deal critical hits
-damage for critical hits decreased from 200% or 250% with ability to 150%/200%
-base critical chance is now 10%, increased by certain weapons; crit rate bonus stacks when dual wielding



v0.665
-added abilities for Oracle job
-changed default walk speed to regular dash, B = max dash, Y = slow walk
-magic damage is now subject to magic evade (or phys.evade/4 for player if that is higher) and accuracy (level, weight, agl, vit, mag)
--the damage is not subject to randomness; minimum is 50%, maximum 130%
-altered handling for multi damage attacks from "best resistance" to splitted damage
-removed damage variance from monster attack
-you can now always equip 2 weapons for dual wield but if the dual wield ability is not known you receive another -25% damage penalty
-renamed the ability Politics to Pillage
-sylph-type moves (deal damage and heal party by damage/4) are now subject to element; if the damage is absorbed the party is not damaged
-increased accuracy of Finesse/Weaken
-steadyMP no longer gives MP before the 1st turn
-added skill unlocking via owned bomb count to !Tinker
-added skill unlocking via total job levels to !Martial and !Finesse
-sleep status of "heavy" enemies is now cured by poison ticks and live loss
-mute no longer prevents casting, instead cuts magic accuracy in half - this also directly affects magic damage
-changed formula for Golem-type walls to (100+PARAM1*VIT)*(d(lv+2)*d(MAG+2)/4)/256, with d(x) as diminishing values for 30+



v0.710
-added abilities for Crusader job
-can now speed up spell animations by holding any of the 4 face buttons
-changed HP display in !Scan, now displays HP per segment instead of total value
-scan now shows if the target is undead
-reverted save anywhere
-changed the way defense is used in damage calculation from (atk - def) * m to (atk - defA) * m * (250 - defB) / 256
--for player defA=defB = regular def
--for monster defB is globally 100 if neutral and defA = (VIT * defB) / 256; VIT for monster is their unmodified level, capped at 70
-reduced weakness damage from x2 to x1.5
-increased attack power of weapons by about 80%
-adjusted defense modifying effects
--defense piercing moves now ignore 50% defense and have -25% attack (works out to a break even on neutral defense)
--defense halving spells now decrease defense by an amount that would result in the target taking 20% more damage compared to before for each cast, capped at 0 defense
--axes treat defense as if one extra cast of guard off was used
--changed spellblade/tempr from 25% defense ignoring to flat -20
--changed spellblade/flare from 100% defense ignoring to only 50%
--elemental absorb keeps def = 0 but also gets atk/2
-moved shop items around, including adding a wind type shield to the first shop
-added several previously unobtainable items to shops, including slayer knife, legend jewel, hero shield, ...
-adjusted several item prices
-shields no longer add defense or magic defense; all standard elemental shields have fixed 15% evade
-HP leak now provides damage numbers
-HP leak is now blocked if the damage part of the original attack was absorbed
-status effect duration for stop, stun and doom is now affected by the weakness to said element; e.g. if weak to water doom gives 15 "seconds" instead of 30
-fixed certain status durations getting cut in half
-single target physical skills can now use the regular weapon attack animation instead of a pseudo spell animation
-changed Potion heal from 50-1250 to 60-1200, heal at 3x (starting value) is up from 64 to 75; old value = new value was at 68x
-changed Hi-Potion heal from 120-2500 to 250-3000
-increased attack power for unarmed attacks with brawl ability
-increased cooldown for Hi-Potions from 5 to 7
-replaced potion in beginner house with hi-potion
-increased time for the karnak castle escape from 10:00 to 15:03 minutes
-fixed a bug that made goblin punch apply the temper bonus twice
-fixed a bug that turned damage randomly to 4 digits
-fixed a bug that caused softlock on killing stopped enemies
-fixed a bug that made physical skills target magic defense
-fixed a bug in the end of turn calculation that could cause a variety of bugs, like soft potions not working or crashing the game
-fixed a bug that granted shards on escape from random encounters after beating a boss
-fixed startup time of !Jump
-flagged Gilgamesh's jump attack properly as earth elemental
-finesse/weaken now also lowers magic evade
-heavy type enemies now add 2 field icons per action
-enemies affected with mini/toad now keep their names
-fixed an issue with displaying 4 enemy type names; ignored 4th+ name (only space for 3 names anyway)
-altered monster speed curve by level, difficulty, species modifier
-increased gold drop from monster in main game, reduced for ng+
-increased monster exp gain at low levels, decreased for high levels
-monster attack power modifier no longer varies by difficulty
-increased influence of level on monster damage from 5 to 8 and reduced early game damage



v0.766
-added abilities for Arcanist job
-failure to inflict a status effect now instead generates "status damage" equivalent to status chance / 4
-status damage is reset to 0 the next time a status effect succeeds
-existing status damage is added to the raw chance to suffer a status effect
-status damage is shared across all status effects and unique for each unit
-greatly increased effect of status resistance (from equip or monster species) on chance to suffer from a status effect
-monster no longer have any native specific status resistance
-when a monster receives a non-self inflicted status effect it gains the status resistance to that ailment
-after losing a live, monster lose status resistance to some types; if remaining lives are odd, those of fire, ice, bolt and wind type, else the rest 
-changed monster skill circle from non-elemental "remove from battle" effect to a regular ice-type death effect
-x-zone, doom and HP-to-1 share the resistance with regular death effect
-reflect ring now only grants wall status for one reflect
-wall status duration gets reduced by half each time a spell is reflected
-simplified rule for spell reflection; now only white/black and time spells are reflectable except those that create physical phenomenon (quake, comet,..), HP/MP steal and dispel
-against spell damage monster now use p.evade or m.evade whichever is lower instead of always m.evade; m.evade is intended as generic status resistance
-increased accuracy of Finesse/Weaken from 127 to 255
-increased accuracy of Esemte/Size Up from 100 to 127
-fixed stomps defense pierce property
-fixed twincuts damage property (75% damage instead of 50% attack x 200% damage = no change)
-reduced X-Magic power from 13/16 to 3/4
-mute now also reduces magic base damage by 25% and magic heal power by 50%
-white/heal and white/dispel are now affected by masscast; animations had to be changed
-added a delay to the first monster turn; 30 atb ticks for fixed encounters (bosses) and [10..70] for random formations (each monster gets its own penalty)
-berserk status no longer alters monster ai
-berserk status now makes the target give and take 50% more damage
-new icons for earth and belt - blame BlackLiquidSorrow
-increased rate at which BraveBlade loses attack from 1 per escape to 20 on the first escape and 15 on subsequent escapes to a minimum of 1 attack power
-reduced Merugene's HP and removed her (scannable) weakness, now only neutral to those elements
-changed HP calculation from baseHP*(VIT+32)/32 to baseHP*(VIT+40)/64
-increased baseHP by level from (Lv1..30..99) 120..1534..2066 to 200..2000..3000
-reduced monster STR/MAG stat growth (Lv60 base is down from 57 to 43)
-reduced monster AGL growth (Lv60 base is down from 36 to 31)
-reduced monster EXP growth (Lv60 base is down from 883 to 501)
-white/pure now cures HP leak and status damage
-white/blink and !image now only give 1 image instead of 2
-reduced cost of white/blink from 17 to 12
-changed GilToss damage to 130 power VIT based physical earth spell



v0.780
-altered several weapon elements, there should now be less off-type weapons (e.g. swords that aren't fire)
-changed harps from fraction damage to regular damage
-added new icons for certain relics
-altered icons, names, stats and effects of relics
-relic icon should now indicate whether it has a hidden effect or not
--amulet grants either absorb or increased element resistance
--rune grants that element's status resistances
--rings hold all remaining effects
--genji equipment is the only exception to the status resistance rule
-increased weight and defense of lategame effectless relics by about 20%
-added "Field" behind the field icons in battle for clarity
-altered sorting rule to make axes and hammers treated as the same type (technically they already were)
-fixed a bug in the abp gain for the 4th character
-fixed a bug that dropped total exp to 0 on escape



v0.782
-fixed a bug that sometimes made hero1 drop to 0 health after battle
-fixed a bug in summon spell animations



v1.000
-added job sprites for the 10 new jobs made by BlackLiquidSorrow
-added abilities for DarkKnight, Lord, Vampire, Magus and Sage jobs
-separated ability slots into 4 active and 3 passive slots
-added running for overworld walking and ship
-spells now show miss if they fail because of magic evasion; status spells that hit but inflict no status do not show miss
-MP drain spells now inflict HP damage and restore MP of 1/32th the damage dealt, capped at 40
-X-Magic no longer receives a penalty to spellpower; instead it requires half a turn of charge up before casting
-changed !Animal to a 8 skill selection
-changed !Mimic to a 8 skill selection
-replaced Monk's !Kick with !Blitz, 8 skills based on unarmed combat, unlocked by maxHP
-replaced Knight's !Guard with !Valor, 8 skills based on defense, unlock based on win:escape ratio
-replaced Thief's !Steal with !Rogue, 8 skill menu, unlocked by successful steals
-replaced Mime's !Mimic command with a 8 skill menu based around acting and imitation, skills unlocked from the start
-replaced Dragoon's !Lance with !Drag-On, 8 skill menu based around their signature skills throughout the series, unlocked by max HP
-added !Science to Chemist, a 8 skill menu based on research, skills unlocked by Hi-Potion count
-replaced HP +30% on Monk and Tamer with !BuildUp
-HP +30%: renamed to Sturdy, HP +10%, reduces fraction damage taken
-replaced Endure on Berserker with Sturdy
-replaced Pierce on Dragoon with Sturdy
-replaced !Slash on Samurai with Crit Up
-replaced !Slash on Crusader with !SwdSlap
-replaced !Steal on Dancer and BlueMage with !Mug
-replaced !Aim on Chemist with !Science
-replaced Preemptive on Ninja with Caution
-added CQC passive: +20% damage while in the front row
-replaced !Animal on Geomancer with CQC
-replaced Preemptive on TimeMage with CQC
-Bulwark no longer adds 10 VIT, instead reduces regular damage taken
-changed Lich from +3 VIT, +7 MAG to +20% magic power and increased drain power
-WhiteMage now learns AreaCast instead of MassCast
-BlackMage now learns MassCast instead of AreaCast
-added defense piercing property to !BuildUp
-changed the white/black spells available for !Red, !Rose, !X-Magic; slightly less front loaded, !Red even gets 2 Lv6 spells
-increased base hit chance for DoomClaw from 66% to 75%
-increased base status chance for HP-to-1, doom and destroy effects from 40% to 55%
-adjusted stats of most monsters
-modified AI of Siren, Kimabryn, ArchAvis, SolCannon, Merugene, Crayclaw and Omega Mk3
-changed Sandworm's Demi to Quake
-edited unused NeoGoblin to Rebone enemy and added to a boss formation
-edited Skullkin stats to make the "solutions" more in line with vanilla strategy
-form changing bosses now keep status resistance between form shifts
-added a cap to ABP while jobless; on job change you'll have at most 4/5 ABP
-reduced HP buff from 100% to 50%
-fixed weapon animation of flail and morning star
-reduced the influence on damage growth for Lv2-35, added slight damage growth for job levels 1-30 (double level for single job mode)
-adjusted HP per job level; now treats single job mode as having twice the job level
-increased HP per job with "HP up" bonus from 30 to 50
-reduced monster stat spread by difficulty
-adjusted monster base stats by level
-added +10% steal chance for thief job
-fixed a bug that made !Throw with weapons deal about 2.5 times the intended damage
-renamed !Martial to !Bushido
-replaced Bushido/Fate Hit with Booster: weak attack that buffs user's STR
-replaced Bushido/Danger with Dispatch: chance to instantly kill
-Blue/Aero: increased power against floating targets or those weak to "aerial" attacks
-Blue/Goblin Punch: damage bonus against same level target reduced from x4 to x2 with -50% defense
-Blue/Goblin Punch: level check compares only last digit on level
-Blue/White Wind: heals by 33% caster maxHP instead of 100% current HP, affected by Heal Amp
-Summon/Odin: now always uses Zantetsuken, a holy elemental magic attack against all enemies
-Time/Flood: added ground type, increased power from 110 to 126
-Terrain: now always behaves as if pierce passive ability was equipped
-Terrain: removed Gaia's Wrath and Lament again
-increased MP restored by ether from 20-150 to 50-150
-adjusted item cooldown values for !mix and !throw
-reduced scaling of heal magic with weapon attack
-increased heal power bonus of Sage Ring from 5 to 7
-removed Ramuh and Shoat summon items, the summon spells are now added directly on boss death
-added Web that inflicts slow
-added Vaccine that reduces status damage taken
-added MP sickness debuff for MP recovery with !Item, !X-Item and !Mix that reduces further MP recovery with those skills by 25% (but then capped at 100)
-White/Pure and Mystic/Cleanse now additionally remove MP sickness
-fixed a game crash caused by having !Hide, !Show, !Catch or !Release in the 4th ability slot
-fixed a bug that made defend/guard sometimes not work
-fixed a bug that made x-item with feather not work
-fixed a bug that prevented abp reduction on job up
-fixed a bug that made Blue/Condemn deal absurd damage when it failed to inflict the status
-fixed a bug that made Counter use fire spellblade instead
-reduced guard damage reduction from -75% to -50%
-first escape with BraveBlade does no longer reduce attack power, only 2+ escapes
-!dance: buffed power of Mystery Waltz and Jitterbug by 50%, reduced power of Sworddance from 400% to 200%
-reduced damage reduction from armor/shell from 50% to 25%
-monster can now land critical hits on their regular attacks
-fixed a bug that made !mimic mimic the landing of (s-)jump and not the jump itself
-changed MP gain of !Brave from 100 to 12.5%maxMP + 100
-physical accuracy is now adjusted by spot in party, top to bottom, x9/8/7/6
-changed how multiple hits of Time/Meteo are handled; changed to a quicker animation
-changed element of Time/Comet to wind/earth
-changed element of Time/Meteo to earth/fire
-removed LP from NG+ scaling
-in NG+ treasure chests are now reset
-replaced some NPC texts in Carwen for more hints to gameplay changes
-changed default difficulty and encounterrate from 3 to 4



v1.005
-fixed !Brave sometimes not working or triggering enemy reactions
-fixed Sandworm being unbeatable unless hero1 is dead
-fixed after battle recovery
-fixed issue with keeping single job mode
-choosing single job mode now enables job selection before getting the first crystal



v1.050
-added weapon proficiency
-added natural magic evade based on level, magic stat, job type and equip%
-added bonus phases to final boss, each unlocked by beating one of the superbosses
-edited dummy enemy to 5A's Enuo and put him in the last chest, AI as close to the original as possible, sprite recolor of Omniscient
-edited AI of Shinyru
-changed encounter rate 6 to off
-added extra patch for save anywhere
-Lenna now starts with knife + shield equipped
-Faris now starts with dagger + knife equipped to show off dual wielding
-Omega now additionally drops a omega shield (formerly called blood shield)
-changed type of whips from wind to earth
-added new whip "Tamer" to tule weapon shop
-added new boomerang "Edge" to karnak weapon shop
-added new boomerang "Razor" to kelb weapon shop
-added new staff "Cleric" to kelb weapon shop
-added new rod "Storm" to jacole weapon shop
-added new rod "Magus" to necromancer rare drop
-added new rod "Nirvana" to Enuo drop
-added new bell "Mythril" to jacole weapon shop
-added new bell "Diamond" to surgate weapon shop
-added new harp "Fairy" to surgate weapon shop
-added new harp "Demon" to mirage weapon shop
-increased power of Full Moon from 63 to 102
-nerfed attack power of endgame weapons
-lowered max attack of ChickenKnife to 127
-BraveBlade attack power fluctuates between 50 and 150 depending on !Brave and !Def. uses
-added +2 heal power to flail
-added +4 heal power to morning star
-changed icon of flail and morning star from misc to staff
-fixed tutorial scenes screwing up other event flags
-fixed out of range bug for new skills potentially
-fixed stats of Corvette enemy
-fixed Mime not getting +AGL levels
-fixed bug that made new jobs not add to starting MP
-fixed unlock for sage skills not working properly
-changed skill used with 25% by chicken knife to !Smoke
-renamed enemy skill Snowstorm to Icestorm to differentiate from Blue/Snowstorm
-undead player now only get healed by 33% from Doom
-re-added exp split
-reduced penalty to exp gain for having a full party from 75% to 50%
-reduced exp granted from Gil Turtle
-added heavy flag to Ramuh to prevent victory that bypasses his death speech and made him refightable
-nerfed Meteo and variants when used by monster
-removed Hi-Lamia from world1 open sea
-fixed level of corvette and armon monster
-added a modifier to bomb damage based on AGL
-fixed bug that made Vampire skill learning not check the 4th hero slot for vampire job
-AGL increases proc chance for weapons that release a spell or use an alternative skill
-GrandCross: list of status effects gets now filtered based on target's HP; healthy targets are protected from instant lose statuses, dead targets get erased
-replaced book with hint about ZetaFlare's weakness (which doesn't even apply) with a hint on how to unlock the True Final Boss
-adjusted HP growth of heroes, Lv30 has -300 HP compared to before, difference is given back over the remaining levels
-reduced HP growth of monster



v1.100
-replaced reequip config option with "core rules" option
--basic = default
--expert = can't revive, damage multiplier is truncated roughly like in vanilla, enemies get [75..150]% damage variance and scale up when the party is too high levelled
-on difficulty 1 with expert mode bosses drop 2 void shards instead of 1
-added diminishing returns to experience bonus from void shards; before ~300% at 99 shards now 150%
-automatic equip optimize after job/ability change is now always disabled
-battles get auto-reset after game over
-magic evade and rod element boost (NOT MightAmp) now affect status chance/damage
-changed rare steal chance from 10/256 to (AGL-10)/256
-physical techs now profit from weapons that are more effective against certain creature types; bonus for techs is slightly higher against targets with high maxHP
-new skill sets now respect memory cursor (though they have to share the position among them)
-spellblade element attacks no longer auto-miss against greater resistance
-added new rod "Water" to Karnak escape, replaces an elixir
-edited typing and m.evade of several bosses
-fire rune now blocks HP leak status
-mirage ring no longer provides an image, instead it grants +35 evade
-reflect ring now refreshes on turn end
-enemies that reacted specifically to !fight now react to non-magical abilities
-fixed damage overflow against aegis parry in a multihit spell (e.g. reflected from barriers)
-fixed some text issues
-fixed Gilgamesh's exploder against Necrofobe not working properly
-fixed mimic'd !throw choosing an unrelated item as projectile
-fixed a bug that made damage often reduce HP by 1 more than displayed
-fixed a bug that applied the dual wield penalty to unarmed fighting
-fixed an overflow bug on high level brawl with kaiser claw and elemental amp
-reduced unarmed attack and m.attack growth
-unarmed/brawl no longer has damage variance
-equip menu now shows unarmed attack value for characters with brawl ability
-equip menu now shows dual wielding again as sum of values instead of average
-toad status now correctly blocks the new skills from being used



v1.130
-changed battle RNG so that more than 256 states are possible during the same battle
-!Brave now additionally grants +20 accuracy for that turn
-added a dedicated boss flag for protection vs death by poison/HP leak and status resistance
-monster now get a short time of increased status resistance after getting afflicted by a status (duration varies by status inflicted)
-changed monster %maxHP damage skills to be based on expected maxHP for the level instead of actual maxHP
-monster %maxHP damage skills are additionally subject to the target's m.def, m.eva, VIT and MAG
-edited AI of Sol Canon
-edited AI of Galura
-removed heavy flag from Ramuh again
-monster now use their magic stat as base stat for level based magic (e.g. snowstorm) instead of their level
-increased accuracy of monster specials
-berserk now increases crit chance and reduces accuracy and magic power
-fixed a bug with cursor position for new skill menues after opening !blue menu
-fixed a bug that made certain attacks deal double the intended damage on expert
-reduced NG+ expert level scaling
-reduced Terrain/SonicBoom from 3/4 to 1/2 damage
-Tule magic shop now additionally sells Time/Bleed and Summon/Chocobo spells - for single job or sage stone purposes
-increased cooldown of potion from 3 to 5
-increased cooldown of hi-potion from 7 to 9
-increased cooldown of ether from 5 to 6
-reduced STR, MAG and evade growth of monster
-changed swords, lances, katana from STR/VIT scaling to pure STR scaling
-Istory now sells all 8 absorb/high resistance amulets
-changed prices of absorb element amulets to 30000
-changed prices of high resistance amulets to 18000
-replaced Jade accessoire with Guard Ring: auto-armor/shell buffs
-Protect Ring has increased regen ticks compared to regular



v1.500
-added field combos, e.g. field with 2 fire + 2 light adds 4 sun icons
--field combos require the world balance to sufficiently shattered (2 crystals destroyed)
-reworked !mix to a 8 skill menu
-reworked !ambush to a 8 skill menu
-reworked !red to 8 unique skills around combining fight, white and black spells
-replaced !drink with !imbue, a skill menu for Mystic Knight
-turned !rose from low level white/black spells to its own 8 spells
-changed some abilities learned by jobs accordingly
-cover can now also catch certain single target damage spells
-status effect randomness threshold is increased unless a special moon icon is on the field, 25% with, 80% without
-void field icons now reduce effective def by 5 each
-added workaround to status resistance stacking exploit
-replaced "Row" (left in battle command selection) with "Brv." (!Brave)
-replaced !Brave ability that was available by default with !Skill, 8 skill menu to get better through the early game
-changed most damage amplifier effects - incl. weakness, exluding field - to stack additive instead of multiplicative
-changed most damage reduction effects to incur diminishing returns past 25% total reduction
-increased rare item drop chance by x2.5 (1/16 -> 5/32)
-battle auto-reset can be cancelled by holding B
-battle auto-reset is not available in expert mode
-Valor/WideShld and Mystic/VoidElem apply now only once per battle but cover all elements and absorb instead of reduce damage
-increased scaling of monster %maxHP damage skills
-reduced scaling of barehanded m.atk
-increased unlock requirements for !Drag-On skills (highest from 1984 to 4032)
-non-boss encounters now give half ABP relative to exp gain
-if exp gain is turned off, ABP gain is now also removed
-adjusted ABP requirements per job level
-increased max possible ABP gain per encounter from 200 to 250
-increased STR and MAG growth of monster again; less than previous reduction
-increased heal power of !Mantra from 30 to 55
-increased heal power of !Esemte/Recover from 52 to 90
-increased heal power of !Yin/Vivify from 70 to 93
-changed targetting of !Esemte/Recover from one/all to one
-changed !Recover from full status heal to 40 power cure with blind/poison cure
-changed formula for healing spells
-fixed outdated tutorial dialog noting about automatic replacing passive skills with active skills inbattle
-song buffs can at most give +50% to STR/MAG/AGL for damage calculation purposes
-decreased limit of black/temper and item/powerdrink from +50 to +30 attack; both grant +10 each use
-increased HP and damage of Sol Canon
-increased boss monster start-up delay from 30 to 50
-increased non-boss monster start-up delay from [10..70] to [10..90]
-potion heal soft caps at 25% user's maxHP, hi-potion at 50%
-!x-item hp heal reduced to 2/3
-!x-item can no longer be used with bombs, web, elixirs or feathers
-!item and !x-item can now use drinks as well
-giant drink now adds 200~1000 maxHP (based on stack size), can not stack with +50% maxHP buffs
-speed drink now adds +5 AGL to a max of +15 (shared with songs)
-might drink replaces protect drink and adds +5 STR&MAG to a max of +15 (shared with songs)
-replaced turtle shells with panacea, cures status damage and MP sickness
-replaced dragon fangs with wing, inflicts float
-replaced dark matter with decoy, creates 1x image
-replaced !SwdSlap with !DethBlw, 2x damage but subject to cooldown
-!x-fight, !x-magic and !twincut are now subject to cooldown
-!x-magic now is a free action that makes the next spell in the current turn act as a free action (=cast ANY 2 spells in one turn, no own restricted spell selection)
-!x-magic's free action can not be carried over to a future turn
-increased damage and accuracy of !x-fight and !twincut
-active !abilities that are subject to cooldown mechanics now show "cooldown" instead of "active" in the ability menu
-first !ability no longer adds to stats
-added softcap to base stats at 50
-reduced HP per job with "HP up" bonus from 50 to 20+total job levels, capped at 50
-fixed bug that made drain spells heal double the intended amount against targets that survive the spell
-increased CQC from 20% to 27%
-increased Y-Magic from 25% to 30%
-Y-Magic now does not work on the free action spell cast by X-Magic's effect instead of the complete turn
-increased global cooldown recovery a bit
-increased item cooldown for softs from 8~1 to 255~7
-reduced mightamp/rod element boost from 50% to 30% (physical 30% to 20%)
-increased power of Wind Slash from 90 to 115
-increased power of Black/Bio from 106 to 120, cost from 18 to 23
-increased power of Black/Psych from 30 to 70
-increased cost of Arcane/ChainBolt from 10 to 16
-increased cost of Bushido/Cleave from 10 to 15
-increased cost of Bushido/TeraBreak from 17 to 27
-increased power of Yin/Siphon from 28 to 63
-reduced power of Zombie Breath from 20 to 12
-increased power of Icestorm from 99 to 110
-increased power of Electric Shock from 118 to 132
-increased power of Mustard Bomb from 90 to 115
-increased MP drain from psych-like spells from 1/32 to 1/16
-fixed some issues in the calculation of psych damage
-on multi element attacks field attacks that oppose one element but boost another ignore the opposing part
-bosses get 50% damage reduction from armor/shell instead of 25%
-bosses get +25 power on ground type spells (quake, flood)
-def piercing spells when used by monster ignore 15/16 def instead of 1/2
-old status additionally reduces damage output by 20%
-blind status additionally reduces physical damage output by 20%
-fork tower (physical) reduces mag. accuracy to 0 and magic power to 25%
-bomb damage can now be absorbed as fire damage
-changed formulas for !released monster
-relic with "catch up" effect increases damage of released monster slightly
-buffed attack power of Galura, reduced speed a bit
-nerfed stats of Gilgamesh (dungeon, solo Galuf)
-fixed some sprite errors on tinker Bartz and tinker Galuf
-renamed Blue/???? to Minus Strike and made it display in top box when used
-Tinker/Overload now ignores endure
-level down spells like Blue/DarkSpark are now subject to status damage, treated as "old"
-defense down spells like Blue/Guard-Off are now subject to status damage, treated as "berserk"
-increased base accuracy of Blue/DarkSpark from 66% to 80%
-changed wounded status from poison to water
-changed mute status from holy to wind
-changed mini status from water to poison
-changed confuse status from wind to holy
-replaced !aero with !bless, next received cure spell gets +50% power, +2 def until used
-Bard learns !Bless instead of !Drink
-Berserker learns !Flirt instead of !Drink
-Chemist learns !Bless instead of !Drink
-Magus learns !Sleep instead of !Aero
-MysticKnight learns !Imbue instead of !Aim
-Tinker learns !BuildUp instead of !Drink
-WhiteMage learns !Bless instead of !Aero



v1.520
-nerfed !recover from target all to target one
-fixed !throw not being restricted by cooldown
-fixed after battle recovery setting HP to 0 if under the influence of giant potion
-corrected text in beginner house regarding run speed on the map
-fork tower (physical) no longer disables white/black/time/summon/blue/song spells
-fixed underflow in Minus Strike damage calculation
-if hidden and trying to use brv. !show is used instead to prevent a game lockup
-nerfed axe up property of crit up passive from [100..200]% damage to [100..150]% damage
-fixed bug in damage range of axes giving them > 2x the intended max power
-reduced the bonus rune weapons get from MAG to 1/4 its previous value
-increased atk of rune edge from 72 to 92
-certain enemies/bosses are now protected against polymorph effects and instead take damage when the status succeeds



v1.530
-shift now counts as the target using brave, so brave can't be used on the extra turns
-fixed a crash related to status effects



v1.656
-replaced gauge option with alternate job sprites option (sprites provided by zetawilk)
-HP display now also updates on damage pop up instead of after the whole round ends
-no longer hides field icons on victory
-battle UI now displays status health bar between HP and atb bar; toggle status bar on/off with select
-battle UI displays stun/stop/singing duration instead of atb ticks, bar becomes then colored pink
-added bonus to first turn speed for fastest party member if a faster enemy exists (i.e. should go first in all boss fights)
-HP regen now also gives healing over time like inverse HP leak (negated by HP leak); reduced strength of the periodic big heal
-each hero can now only endure (defend, endure passive, insurance, heavy status) fatal damage once per battle
-monster that perform reactions to specific attacks can now do so only once per turn
-split cooldowns into item and skill types
-cooldown for skills is affected by strength
-using brave recovers half a turn of skill cooldown (def. recovers 25% of remaining item cooldown)
-using weapon spells (e.g. defense sword or rod breaking) now adds 5 turns of item cooldown
-enemy HP and AGL is now scaled by number of present party members
-returning enemies in world 3 that are below rank 28 are increased to 28
-changed player weight penalty on ATB to be more percentage instead of flat
-adjusted item cooldowns
-corpses can no longer aegis block attacks
-set known spell levels by default to max for menu and confuse purposes
-reduced scaling of monster damage by about 20%
-reduced influence of MAG for monster status chance to 1/4 the previous value
-changed element typing of karlabos, siren(undead), galura and crayclaw
-changed AI of siren; mostly guaranteed haste at 50% instead of random
-changed Atomos AI; phase 1 nerfed, added a phase 2
-changed Exdeath (solo vs Galuf) AI a bit to show more of his regular skills
-changed Exdeath (castle) AI
-changed arcanist skills; themed around producing combo, empty and broken field icons
-empty field icons oppose all elements but have no further special effects
-broken field icons can't be removed, oppose all elements and reduce healing spell power by 25% each multiplicatively
-reduced bonus HP from HP job levels from (20+total job levels, max 50) to (20+total job levels, max 35)
-WhiteMage learns !Mantra instead of !Recover
-passives that gave +10% HP now give +20%
-heal amp is no longer innate
-medicine also increases heal spells by 20%
-barrier no longer displays an animation; needed to fix a bug that treats the animation as a real action (cost 100 mp for a <nothing> extra action)
-!aim also doubles crit rate and has increased power of 115
-!skill/examine now costs 0 mp to use and is always available
-changed !mantra to a 140 power aoe heal, 170 if unarmed, based on vit/mag
-increased Bushido/Booster's power from 35 to 55
-increased Skill/Treat's power from 45 to 60 and cost from 10 to 15
-increased Predict/Blessing's power from 193 to 216 and changed it to also cure toad, mini, zombie and petrify
-changed Blue/Exploder damage bonus for player from x2 to ~1% per MAG (+100% at 99)
-two handed only weapons now gain damage bonus from power grip
-use better of both equipped weapons for crit rate bonus instead of sum
-increased crit bonus of knives and whips a bit
-changed thief glove from 2x steal chance to +10% steal chance and 4x rare steal chance
-replaced fire bow with battle bow and moved it to walse
-made soot, shuriken an fuuma shuriken usable as exotic weapons
-added effect to soot when used with !fight to prevent the target's next field icon
-changed kunai from weapon block to a long range throwing knife
-moved judgement staff from DarkMage to MindMage and DoomDealer
-changed bomb damage scaling; now scales with stacksize, AGL, level and medicine passive
-removed miss chance from bombs
-nerfed ribbons from +5 all stats to +3
-random hit skills like comet and meteor have been reduced from max 5 hits to 4
-physical techs now apply power grip and backrow compatibility by equipped weapon
-physical techs that display the equipped weapon when attacking now properly use both when dual wielding
-berserk should now no longer skip the first action
-increased brawl increase to m.atk if unarmed by +50%+10
-changed release skills to not profit from user's m.atk bonuses, only passives
-changed physical release skills to properly use the monster's element
-reduced base damage scaling of release skills
-blitz/pummel and rush are now affected by row
-drag-on breath skills are now str/mag based
-tinker turret and herobot are now agl/mag based
-esemte recover is now level based
-removed stats&ailment checks from flee chance
-Krile should now start with same job and abilities active as Galuf
-Minotaur now requires mp to cast holy
-can no longer stack evade chance of the two parry type weapons (guardian vs hardened dagger)
-mini status now gives +20 evade instead of 2x, capped at 70 instead of 99
-mute status no longer has a limited duration
-doom status can no longer kill bosses (bypasses death scripts), only reduce them down to 1 HP and 0 LP at most
-heavy status reduces applicable status duration now only by 25% instead of 50%
-added exceptions to the skill "targeting" to avoid Omega's barrier getting transferred to the player
-fixed exdeath and leviatan battle name display; formerly showed empty space instead of box border to the right of the name
-fixed geomancer learning !animals instead of cqc
-fixed ManKill not counting as knife for proficiency
-fixed dragon lance not getting doublegrip bonus despite saying it does
-fixed GaleBow's X-Fight crashing the game
-fixed a bug with dual wielding that treats the second weapon as having 0 attack
-fixed a bug that gave released monster full damage multiplier on percentage moves
-fixed a bug that overrode caught monster when receiving a status effect
-fixed animation on condemn playing when not inflicting the status effect
-fixed name of vacuum blade special
-fixed that physical techs were affected by Lich passive and fork tower
-fixed phoenix spell animation
-fixed bug that taught oath/genome spells already when depleting the first LP instead of the last
-inflicting stun and old with the same attack no longer results in perma stun



v1.658
-fixed mix/restore and red/purge not being able to target a petrified unit
-fixed issues in the formula for rare steal chance
-if a target has no rare steal, rare steal chance now becomes 0%